org.apache.commons.math3.exception

## Class DimensionMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.MathIllegalNumberException
            - - org.apache.commons.math3.exception.DimensionMismatchException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider
  Direct Known Subclasses:
    NonSquareMatrixException, NonSquareOperatorException

      public class DimensionMismatchException
      extends MathIllegalNumberException

  Exception to be thrown when two dimensions differ.
  Since:
    2.2
  Version:
    $Id: DimensionMismatchException.java 1364378 2012-07-22 17:42:38Z tn $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `dimension` Correct dimension.
    `private static long` | `serialVersionUID` Serializable version Id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionMismatchException(int wrong, int expected)` Construct an exception from the mismatched dimensions.
    `DimensionMismatchException(Localizable specific, int wrong, int expected)` Construct an exception from the mismatched dimensions.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDimension()`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

      `getArgument`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version Id.
      See Also:
        Constant Field Values

    - #### dimension

          private final int dimension

      Correct dimension.

  - ### Constructor Detail

    - #### DimensionMismatchException

          public DimensionMismatchException(Localizable specific,
                                    int wrong,
                                    int expected)

      Construct an exception from the mismatched dimensions.
      Parameters:
        `specific` - Specific context information pattern.
        `wrong` - Wrong dimension.
        `expected` - Expected dimension.

    - #### DimensionMismatchException

          public DimensionMismatchException(int wrong,
                                    int expected)

      Construct an exception from the mismatched dimensions.
      Parameters:
        `wrong` - Wrong dimension.
        `expected` - Expected dimension.

  - ### Method Detail

    - #### getDimension

          public int getDimension()

      Returns:
        the expected dimension.

Copyright (c) 2003-2013 Apache Software Foundation